package com.wasu.cs.model;

import java.util.List;

/**
 * Created by chenming on 2016/11/23.
 *
 * @Description: 新版少儿动画数据model
 * @email chenming@wasu.com
 */

public class ChildrenCartoonModel extends Model {

	/**
	 * code : 200
	 * data : {"bgPicUrl":"http://s.cms.wasu.tv/wsimage/2016/11/22/105/105/2016112213374548blhm30js.jpeg","list":[{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220140","layout":"Movie_List","title":"公主城堡"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220159","layout":"Movie_List","title":"欢乐歌唱"}]}
	 * message : 请求成功
	 */

	private int code;
	private DataBean data;
	private String message;

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public DataBean getData() {
		return data;
	}

	public void setData(DataBean data) {
		this.data = data;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public static class DataBean {
		/**
		 * bgPicUrl : http://s.cms.wasu.tv/wsimage/2016/11/22/105/105/2016112213374548blhm30js.jpeg
		 * list : [{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220140","layout":"Movie_List","title":"公主城堡"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220159","layout":"Movie_List","title":"欢乐歌唱"}]
		 */

		private String bgPicUrl;
		private List<ListBean> list;

		public String getBgPicUrl() {
			return bgPicUrl;
		}

		public void setBgPicUrl(String bgPicUrl) {
			this.bgPicUrl = bgPicUrl;
		}

		public List<ListBean> getList() {
			return list;
		}

		public void setList(List<ListBean> list) {
			this.list = list;
		}

		public static class ListBean {
			/**
			 * jsonUrl : http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220140
			 * layout : Movie_List
			 * title : 公主城堡
			 */

			private String jsonUrl;
			private String layout;
			private String title;

			public String getJsonUrl() {
				return jsonUrl;
			}

			public void setJsonUrl(String jsonUrl) {
				this.jsonUrl = jsonUrl;
			}

			public String getLayout() {
				return layout;
			}

			public void setLayout(String layout) {
				this.layout = layout;
			}

			public String getTitle() {
				return title;
			}

			public void setTitle(String title) {
				this.title = title;
			}
		}
	}
}
